Package com.sas.lsaf.security.user

## Enum AccountInfo.AccountType

- java.lang.Object
- - java.lang.Enum<AccountInfo.AccountType>
  - - com.sas.lsaf.security.user.AccountInfo.AccountType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AccountInfo.AccountType>`
  Enclosing class:
    AccountInfo

      public static enum AccountInfo.AccountType
      extends java.lang.Enum<AccountInfo.AccountType>

  The list of supported account types.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `INTERACTIVE` | An interactive user account within the system.
    `NON_INTERACTIVE` | A system account within the system.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccountInfo.AccountType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AccountInfo.AccountType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INTERACTIVE

          public static final AccountInfo.AccountType INTERACTIVE

      An interactive user account within the system. Interactive accounts are allowed to use the web application and all APIs. This type indicates a typical user of the system. Interactive users are bound to the password expiration rules set for the system.

    - #### NON_INTERACTIVE

          public static final AccountInfo.AccountType NON_INTERACTIVE

      A system account within the system. Noninteractive accounts are allowed to use the APIs only. The typical use case for noninteractive accounts is an integration account that uses the APIs to manage resources within the system. System accounts are NOT bound to the system password expiration rules. Therefore, system account passwords do not expire. This is intentional to promote stability in integration scenarios. For increased security, the administrator who manages the system account must change the password periodically.

  - ### Method Detail

    - #### values

          public static AccountInfo.AccountType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccountInfo.AccountType c : AccountInfo.AccountType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccountInfo.AccountType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null